from model.base_model import LearnableRandomWalkBaseModel
from model.predictor import LearnableRandomWalkModel

class LearnableRandomWalk(LearnableRandomWalkBaseModel):
    def __init__(self, data_name, n, feat_dim, hidden_dim, hidden_att_dim, output_dim, dropout, 
                    cof, delta, walk_len, walk_time, task_level, y):
        super(LearnableRandomWalk, self).__init__(n, data_name, y)
        self.base_model = LearnableRandomWalkModel(n, feat_dim, hidden_dim, hidden_att_dim, output_dim, dropout, task_level, walk_len, self.tau, data_name)
